function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
import * as echarts from "echarts/core";
import { TreeChart } from "echarts/charts";
import { CanvasRenderer } from "echarts/renderers";
import { tree } from "@dftvue2-opentiny/vue-renderless/chart-tree/index";
import Core from "@dftvue2-opentiny/vue-chart-core";
import { defineComponent, $prefix } from "@dftvue2-opentiny/vue-common";
echarts.use([TreeChart, CanvasRenderer]);
var ChartTree = defineComponent(_extends({}, Core, {
  name: $prefix + "ChartTree",
  data: function data() {
    this.chartHandler = tree;
    return {};
  }
}));
var version = "2.8.0";
ChartTree.install = function(Vue) {
  Vue.component(ChartTree.name, ChartTree);
};
ChartTree.version = version;
export {
  ChartTree as default
};
